$(document).ready(function() {

    // onShow callback
    $('#modal_onshow').on('show.bs.modal', function() {
        alert('onShow callback fired.')
    });

    // onShown callback
    $('#modal_onshown').on('shown.bs.modal', function() {
        alert('onShown callback fired.')
    });

    // onHide callback
    $('#modal_onhide').on('hide.bs.modal', function() {
        alert('onHide callback fired.')
    });

    // onHidden callback
    $('#modal_onhidden').on('hidden.bs.modal', function() {
        alert('onHidden callback fired.')
    });

})